lcms-1.19-25.23.i586.rpm


Advertisement

Description

lcms - Utilities for the Little CMS Engine

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Libs all
Package filename lcms-1.19-25.23.i586.rpm
Package name lcms
Package version 1.19
Package release 25.23
Package architecture i586
Package type rpm
Category Productivity/Graphics/Other
Homepage http://www.littlecms.com/
License MIT
Maintainer -
Download size 50.98 KB
Installed size 179.83 KB
Little cms is a small speed optimized color management engine.

Alternatives

Package Version Architecture Repository
lcms-1.19-25.23.x86_64.rpm 1.19 x86_64 Multimedia Libs
lcms-1.19-9.osstw.i586.rpm 1.19 i586 Trinity R14
lcms-1.19-9.osstw.x86_64.rpm 1.19 x86_64 Trinity R14
lcms-1.19-1.osstw.i586.rpm 1.19 i586 Trinity R14
lcms-1.19-1.osstw.x86_64.rpm 1.19 x86_64 Trinity R14
lcms - - -

Requires

Name Value
libc.so.6(GLIBC_2.7) -
libjpeg.so.8 -
libjpeg.so.8(LIBJPEG_8.0) -
liblcms.so.1 -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libtiff.so.5 -

Provides

Name Value
lcms = 1.19-25.23
lcms(x86-32) = 1.19-25.23

Download

Type URL
Mirror widehat.opensuse.org
Binary Package lcms-1.19-25.23.i586.rpm
Source Package lcms-1.19-25.23.src.rpm

Install Howto

  1. Add the Multimedia Libs repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/libs/openSUSE_Tumbleweed/ multimedia-libs
  2. Install lcms rpm package:
    # zypper install lcms

Files

Path
/usr/bin/icc2ps
/usr/bin/icclink
/usr/bin/icctrans
/usr/bin/jpegicc
/usr/bin/tiffdiff
/usr/bin/tifficc
/usr/bin/wtpt
/usr/share/doc/packages/lcms/AUTHORS
/usr/share/doc/packages/lcms/COPYING
/usr/share/doc/packages/lcms/NEWS
/usr/share/doc/packages/lcms/README
/usr/share/man/man1/icc2ps.1.gz
/usr/share/man/man1/icclink.1.gz
/usr/share/man/man1/jpegicc.1.gz
/usr/share/man/man1/tifficc.1.gz
/usr/share/man/man1/wtpt.1.gz

Changelog

2017-06-16 - olaf@aepfle.de
- Run autoreconf due to apply changes to Makefile.am
- Build with -O1 to avoid make check errors with gcc7 (bnc#1041220)
2013-12-04 - mls@suse.de
- adapt lcms-endian patch to ppc64le
2013-10-05 - crrodriguez@opensuse.org
- add zlib-devel to buildrequires, not implicit anymore.
2013-10-04 - sbrabec@suse.cz
- Stack overflow fix
(CVE-2013-4276.patch, bnc#843716, CVE-2013-4276).
2013-04-11 - mmeister@suse.com
- Added url as source.
Please see http://en.opensuse.org/SourceUrls
2011-11-21 - jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Kill liblcms1->lcms Requires (the library does not depend on
the tools)
2010-10-10 - mrdocs@opensuse.org
- version bump to 1.19 which includes:
+ fixed minor vulnerabilities mentioned in NEWS file
+ removed cosmetic comparation with zero in floating point
+ no API changes
- drop lcms-bnc521513.patch - the change is in 1.19
2010-05-17 - coolo@novell.com
- do not re-swig, it's just too expensive as buildrequire
2010-04-24 - coolo@novell.com
- buildrequire pkg-config to fix provides
2009-12-15 - jengelh@medozas.de
- add baselibs.conf as a source

See Also

Package Description
lcms2-2.9-80.8.i586.rpm Little CMS Engine - A color managment library and tools
lcms2-2.9-80.8.x86_64.rpm Little CMS Engine - A color managment library and tools
ld10k1-0.1.8p1-115.1.i586.rpm Emu10k1 patch loader for ALSA
ld10k1-0.1.8p1-115.1.x86_64.rpm Emu10k1 patch loader for ALSA
ld10k1-devel-0.1.8p1-115.1.i586.rpm Header files for the Emu10k1 patch loader
ld10k1-devel-0.1.8p1-115.1.x86_64.rpm Header files for the Emu10k1 patch loader
ldacBT-devel-2.0.2.3-7.1.i586.rpm Development files for ldacBT
ldacBT-devel-2.0.2.3-7.1.x86_64.rpm Development files for ldacBT
libEMF-devel-1.0.7-328.40.i586.rpm Library for manipulation with Enhanced MetaFile (EMF, ECMA-234)
libEMF-devel-1.0.7-328.40.x86_64.rpm Library for manipulation with Enhanced MetaFile (EMF, ECMA-234)
libEMF-utils-1.0.7-328.40.i586.rpm Library for manipulation with Enhanced MetaFile (EMF, ECMA-234)
libEMF-utils-1.0.7-328.40.x86_64.rpm Library for manipulation with Enhanced MetaFile (EMF, ECMA-234)
libEMF1-1.0.7-328.40.i586.rpm Library for manipulation with Enhanced MetaFile (EMF, ECMA-234)
libEMF1-1.0.7-328.40.x86_64.rpm Library for manipulation with Enhanced MetaFile (EMF, ECMA-234)
libFAudio0-19.03-4.1.i586.rpm A reimplementation of the XNA Game Studio libraries
Advertisement
Advertisement